USE credit
go

UPDATE Member
SET LastName = 'Tripp'
WHERE Member_No = 6798
go

UPDATE Member
SET FirstName = 'Kimberly'
WHERE Member_No = 2896
go

UPDATE Member
SET FirstName = 'Kimberly',
	LastName = 'Tripp'
WHERE Member_No = 842
go

SET STATISTICS IO ON
go

SELECT LastName, FirstName, Region_No
FROM Member
WHERE FirstName = 'Kimberly'
OR LastName = 'Tripp'
go

SELECT LastName, FirstName, Region_No
FROM Member
WHERE FirstName LIKE 'Kimberly'
go
SELECT LastName, FirstName, Region_No
FROM Member
WHERE LastName LIKE 'Tripp'
go
SELECT LastName, FirstName, Region_No
FROM Member
WHERE FirstName LIKE 'Kimberly'
	OR LastName LIKE 'Tripp'
go

SELECT LastName, FirstName, Region_No
FROM Member
WHERE FirstName LIKE 'Kimberly'
UNION
SELECT LastName, FirstName, Region_No
FROM Member
WHERE LastName LIKE 'Tripp'
go

-- Nice to see an index scan (similar to scanning the leaf level of a non-clustered index
-- display better and actually indicate that).
SELECT FirstName, Member_No
FROM Member
WHERE FirstName > ''
ORDER BY FirstName
go

SET STATISTICS IO ON
go
SELECT Member_No, FirstName, Region_No
FROM Member
WHERE FirstName LIKE 'K%' AND Region_No > 6 AND Member_No < 5000

SELECT Member_No, FirstName, Region_No
FROM Member
WHERE FirstName LIKE 'K%' 
	AND Region_No > 6 
	AND Member_No < 5000
go
SELECT LastName, FirstName, Region_No
FROM Member
WHERE FirstName = 'Kimberly'
OR LastName = 'Tripp'
go
SELECT LastName, FirstName, Region_No
FROM Member
WHERE FirstName LIKE 'Kim%'
go

SELECT c.* 
FROM provider p
	INNER JOIN charge c ON c.provider_no = p.provider_no
WHERE p.provider_no = 497
go
